Subject: bug#56237: 29.0.50; delete-forward-char fails to delete character

From: Eli Zaretskii <[email-masked]>
Date: Sun, 26 Jun 2022 19:57:46 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked]
> Date: Sun, 26 Jun 2022 22:17:53 +0530
> 
> [ஞாயிறு ஜூன் 26, 2022] Eli Zaretskii wrote:
> 
> > Sorry, I misunderstood the report.
> >
> > I tried to fix this now on master.
> 
> Thanks for the quick fix!  Unfortunately, delete-forward-char still
> deletes two clusters instead of one in "ப்போ".  :(

They aren't two clusters, they are two graphemes that are part of a
single grapheme cluster.

Invoke find-composition, and you will see that it returns a single
composition there.

> I.e.,
> 
>     |ப்போ becomes |
> 
> where | denotes the point.

This is the intended behavior.